View Issue Details

IDProjectCategoryView StatusLast Update
0035954FPCRTLpublic2019-08-30 09:32
ReporterOndrej PokornyAssigned ToMarco van de Voort 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.3.1Product Build 
Target VersionFixed in Version 
Summary0035954: Missing TVerticalAlignment & TTopBottom
DescriptionClasses unit is missing TVerticalAlignment and TTopBottom definitions.

See:
http://docwiki.embarcadero.com/Libraries/Rio/en/System.Classes.TVerticalAlignment
http://docwiki.embarcadero.com/Libraries/Rio/en/System.Classes.TTopBottom
Additional InformationPatch attached.
TagsNo tags attached.
Fixed in Revision42813
FPCOldBugId
FPCTarget-
Attached Files
  • classesh-TVerticalAlignment.patch (589 bytes)
    Index: rtl/objpas/classes/classesh.inc
    ===================================================================
    --- rtl/objpas/classes/classesh.inc	(revision 42655)
    +++ rtl/objpas/classes/classesh.inc	(working copy)
    @@ -89,9 +89,11 @@
     type
     { Text alignment types }
       TAlignment = (taLeftJustify, taRightJustify, taCenter);
    -
       TLeftRight = taLeftJustify..taRightJustify;
     
    +  TVerticalAlignment = (taAlignTop, taAlignBottom, taVerticalCenter);
    +  TTopBottom = taAlignTop..taAlignBottom;
    +
       TBiDiMode = (bdLeftToRight,bdRightToLeft,bdRightToLeftNoAlign,bdRightToLeftReadingOnly);
     
     
    

Activities

Ondrej Pokorny

2019-08-12 08:17

reporter  

classesh-TVerticalAlignment.patch (589 bytes)
Index: rtl/objpas/classes/classesh.inc
===================================================================
--- rtl/objpas/classes/classesh.inc	(revision 42655)
+++ rtl/objpas/classes/classesh.inc	(working copy)
@@ -89,9 +89,11 @@
 type
 { Text alignment types }
   TAlignment = (taLeftJustify, taRightJustify, taCenter);
-
   TLeftRight = taLeftJustify..taRightJustify;
 
+  TVerticalAlignment = (taAlignTop, taAlignBottom, taVerticalCenter);
+  TTopBottom = taAlignTop..taAlignBottom;
+
   TBiDiMode = (bdLeftToRight,bdRightToLeft,bdRightToLeftNoAlign,bdRightToLeftReadingOnly);
 
 

Marco van de Voort

2019-08-25 11:37

manager   ~0117831

committed thanks

Ondrej Pokorny

2019-08-30 09:32

reporter   ~0117872

Thank you!

Issue History

Date Modified Username Field Change
2019-08-12 08:17 Ondrej Pokorny New Issue
2019-08-12 08:17 Ondrej Pokorny File Added: classesh-TVerticalAlignment.patch
2019-08-25 11:37 Marco van de Voort Assigned To => Marco van de Voort
2019-08-25 11:37 Marco van de Voort Status new => resolved
2019-08-25 11:37 Marco van de Voort Resolution open => fixed
2019-08-25 11:37 Marco van de Voort Fixed in Revision => 42813
2019-08-25 11:37 Marco van de Voort FPCTarget => -
2019-08-25 11:37 Marco van de Voort Note Added: 0117831
2019-08-30 09:32 Ondrej Pokorny Status resolved => closed
2019-08-30 09:32 Ondrej Pokorny Note Added: 0117872